% Example_10_2.m: This program calculates the values of
% a specified function f(x1,x2) of 2 variables for
% determining a good starting point for the method of
% steepest decent. The range of interest is from
% -10.0 <= x1 <= 10.0 and -10.0 <= x2 <= 10.0.
clear; clc;
% Define function of interest:
fx_func = @(x1,x2) 4+4.5*x1-4*x2+x1^2+2*x2^2 ...
    -2*x1*x2+x1^4-2*x1^2*x2;
% Define grid endpoints and step size
x1min=-10.0;  x1max=10.0;  dx1=2.0;
x2min=-10.0;  x2max=10.0;  dx2=2.0;
% Define grid and calculate f(x1,x2) at each point
x1=x1min:dx1:x1max;
x2=x2min:dx2:x2max;
for i=1:length(x1)
    for j=1:length(x2)
        f(i,j) = fx_func(x1(i),x2(j));
    end
end
% Print heading
fprintf('-----------------------------------');
fprintf('-----------------------------------');
fprintf('------------------------------------\n');
fprintf('   x2  |                      ');
fprintf('                           x1\n');
fprintf('-----------------------------------');
fprintf('-----------------------------------');
fprintf('------------------------------------\n');
fprintf('       |');
for i=1:length(x1)
    fprintf('%7.1f  ',x1(i));
end
fprintf('\n');
fprintf('-----------------------------------');
fprintf('-----------------------------------');
fprintf('------------------------------------\n');
% Print values of f(x1,x2)
for j=1:length(x2)
    fprintf('%6.1f |',x2(j));
    for i=1:length(x1)
        fprintf('%8.1f ',f(i,j));
    end
    fprintf('\n');
end
