% Example_10_6.m: Linear programming example using
% MATLAB's fmincon function for optimization
% Object function: 2*x(1)+3*x(2)
% Lower bounds
%       x(1)>=0   x(2)>=0
% Upper bounds
%       x(1)<=3   x(2)<=3
% Inequality constraints
%       x(1)+x(2)<=4
%       6*x(1)+2*x(2)>=8
%       x(1)+5*x(2)>=8
clear; clc;
lb=[0; 0];              % Lower bound
ub=[3; 3];              % Upper bound
x0=[0; 0];              % Initial guess
Aeq=[];                 % No linear equality constraints
Beq=[];                 % No linear equality constraints
A=[1 1; -6 -2; -1 -5];  % Linear inequality constraints
B=[4; -8; -8];          % Linear inequality constraints
[xmin,fvalmin] = fmincon(@object_fmin,...
    x0,A,B,Aeq,Beq,lb,ub);
[xmax,fvalmax] = fmincon(@object_fmax,...
    x0,A,B,Aeq,Beq,lb,ub);
% Print min and max values:
fprintf('MIN\n');
fprintf('-------------------------------\n');
fprintf('xmin(1)=%.4f  xmin(2)=%.4f \n',xmin(1),xmin(2));
fprintf('fmin=%.4f \n\n',fvalmin);
fprintf('MAX\n');
fprintf('-------------------------------\n');
fprintf('xmax(1)=%.4f  xmax(2)=%.4f \n',xmax(1),xmax(2));
fprintf('fmax=%.4f \n',-fvalmax);
