% Example_2_7.m
% This program creates a simple table and a simple plot.
% First, the vectors y1, y2 and t are calculated.
% Next a table of y1 = n^2/10 and y2 = n^3/100 is created.
% Then y1 and y2 are plotted.
clear; clc;
for n=1:10
    t(n)=n;
    y1(n)=n^2/10;
    y2(n)=n^3/100;
end
% By making t, y1 and y2 as vectors, their values can be
% printed out outside the 'for' loop that created them.
% Print column headings
fprintf('      t           y1            y2    \n');
fprintf('--------------------------------------\n');
for n=1:10
    fprintf('%8.1f   %10.2f    %10.2f \n', ...
        t(n),y1(n),y2(n));
end
% Create the plot. y1 is red, y2 is in green.
plot(t,y1,'r',t,y2,'g');
xlabel('t'), ylabel('y1,y2'), grid;
title('y1 and y2 vs. t');
% Plot identification is also established by adding text
% to the plot.
text(6.5,2.5,'y1');
% In the above statement, 6.5 is the abscissa position
% and 2.5 is the ordinate position where the 'y1' label
% will be positioned.
text(4.2,2.4,'y2');
% Other MATLAB plot options:
% Available color types:
%   blue          'b'
%   green         'g'
%   red           'r'
%   cyan          'c'
%   yellow        'y'
% Curves y1 and y2 can also be distinguished by using
% different types of lines as listed below.
% Available line types:
%   solid         (default)
%   dashed        '--'
%   dashed-dot    '-.'
%   dotted        ':'
% Alternatively, you can create a marker plot of
% discrete points (without a line) by using one of these
% marker styles:
%   point         '.'
%   plus          '+'
%   star          '*'
%   circle        'o'
%   x-mark        'x'
% The 'legend' command may also be used in place of the
% text command to identify the curves. The legend box
% may be moved by clicking on the box and dragging it to
% the desired position.
