% Example_3_2.m
% This program solves a simple linear system of equations
% by both the use of MATLAB's inverse matrix function and
% by the Gauss elimination method.
clc; clear;
A=[3 2 -1; -1 3 2; 1 -1 -1]
C=[10 5 -1]'
% X1 is the solution using matrix inverse function:
X1=inv(A)*C
% X2 is the solution using Gauss elimination method:
X2=A\C
% check solution:
A*X1
% Use the size() command to determine the number of rows
% and the number of columns in matrix A.
[A_rows  A_cols] = size(A)
% Print matrix A, matrix C and the solution of the linear
% system of equations to the file output.txt:
fid=fopen('output.txt','w');
fprintf(fid,'A matrix:\n');
for i=1:A_rows
    for j=1:A_cols
        fprintf(fid,' %6.1f',A(i,j));
    end
    fprintf(fid,'\n');
end
fprintf(fid,'C vector:\n');
for i=1:length(C)
    fprintf(fid,' %6.1f', C(i));
end
fprintf(fid,'\n');
fprintf(fid,'Solution X1 (using inverse matrix):\n');
for i=1:length(X1)
    fprintf(fid,' %6.1f', X1(i));
end
fprintf(fid,'\n');
fprintf(fid,'Solution X2 (using Gauss elimination):\n');
for i=1:length(X2)
    fprintf(fid,' %6.1f',X2(i));
end
fprintf(fid,'\n');
fclose(fid);
