% Example_4_2.m
% This program determines the roots of a polynomial using
% the built in function 'roots'.
% The first polynomial is: f=x^3-4.7*x^2-35.1*x+85.176.
% The roots of this polynomial are all real.
% The second polynomial is: f=x^3-9*x^2+23*x-65. The
% roots of this polynomial are both real and complex.
% Complex roots must be complex conjugates.
% To obtain more info on complex numbers in MATLAB, run
% "help complex" in the Command Window.
clear; clc;
% Define coefficients of first polynomial (real roots)
C(1)=1.0;  C(2)=-4.7; C(3)=-35.1; C(4)=85.176;
fprintf('The first polynomial coefficients are:\n');
C
fprintf('The roots are: \n');
V=roots(C)
fprintf('The recalculated coefficients of the ');
fprintf('polynomial whose roots are V are:\n');
C_recalc=poly(V)
fprintf('\n\n');
% Define coefficients of second polynomial (real and 
% complex roots)
D(1)=1.0; D(2)=-9.0; D(3)=23.0; D(4)=-65.0;
fprintf('The second polynomial coefficients are:\n');
D
fprintf('The roots are: \n');
W=roots(D)
fprintf('The real and imaginary parts of the ');
fprintf('roots are:\n');
re=real(W)
im=imag(W)
fprintf('The recalculated coefficients of the ');
fprintf('polynomial whose roots are W are:\n');
W_recalc=poly(W)
