% Example_5_1.m
% This program calculates an integral by Simpson's Rule
% The integrand is: x^3+3.2*x^2-3.4*x+20.2
% The limits of integration are from 0-10.
clear; clc;
A=0; B=10;
N=100; dx=(B-A)/N;
% Compute values of x and f at each point:
x = A:dx:B;
f = x.^3 + 3.2*x.^2 - 3.4*x + 20.2;
% Use two separate loops to sum up the even and odd terms
% of Simpson's Rule. Also, exclude endpoints in the loop.
sum_even=0.0;
for i=2:2:N
    sum_even=sum_even+f(i);
end
sum_odd=0.0;
for i=3:2:N-1
    sum_odd=sum_odd+f(i);
end
% Calculate integral as per Equation 5.5
I = dx/3 * (f(1) + 4*sum_even + 2*sum_odd + f(N+1));
% Display results
fprintf('Integrand: x^3 + 3.2*x^2 - 3.4*x + 20.2 \n');
fprintf('Integration limits: %.1f to %.1f \n',A,B);
fprintf('I = %10.4f \n', I);
