% Example_5_2.m
% This program evaluates the improper integral:
% log(1+x)/x The limits of integration are from 0 to 1. 
% The integrand is undefined (0/0)at x=0.  Thus, the
% integral is broken up into 2 parts: I1 and I2.
% I1 is evaluated from epsilon to 1.
% I2 is expanded in a Taylor Series and evaluated from 0
% to epsilon.
clear; clc;
epsilon = 0.0001;
A = 0;  B = 1;
N = 100; dx = (B-epsilon)/N;
% Evaluate I1.  First, evaluate log(1+x)/x for each value
% of x over the interval [epsilon,1].
x = epsilon:dx:B;
f = log(1+x) ./ x;
% Next, calculate the even and odd terms for Simpson's
% Rule.
sumeven=0.0;
for i=2:2:N
    sumeven=sumeven+f(i);
end
sumodd=0.0;
for i=3:2:N-1
    sumodd=sumodd+f(i);
end
% As per Equation (5.5), I1 is the weighted sum of the
% even and odd terms, plus the end terms.
I1 = dx/3 * (f(1) + 4*sumeven + 2*sumodd + f(N+1));
fprintf('Integrand = log(1+x)/x \n');
fprintf('I1 limits of integration are ');
fprintf('from %.4f to %.4f\n',epsilon,B);
fprintf('I2 limits of integration are ');
fprintf('from %.4f to %.4f\n',A,epsilon);
fprintf('I1 =%15.6f \n',I1);
% Calculate I2 via first 4 terms of Taylor series
% expansion.
I2 = epsilon - 1/4*epsilon^2 + 1/9*epsilon^3 ...
    - 1/16*epsilon^4;
fprintf('I2 =%15.6f \n',I2);
I=I1+I2;
fprintf('I=I1+I2 =%10.6f \n',I);
I_exact=0.822467;
fprintf('I_exact =%10.6f \n',I_exact);
