% Example_5_6.m
% This program uses the quad function to evaluate the
% integrals of equations (5.12), (5.13) and (5.14) to
% find Ex, Ey and Ez. The following parameters are used
% in the integration: lambda=2e-9 coul/m, xo=5e-3, yo=0
% and zo=0.
% Assume that 10 is a good approximation for infinity.
clc; clear;
global xo yo zo lambda epsilon0;
lambda=2e-9; epsilon0=8.85e-12;
xo=5e-3; yo=0; zo=0;
Ex = quad(@linecharge_Ex,-10,10);
Ey = quad(@linecharge_Ey,-10,10);
Ez = quad(@linecharge_Ez,-10,10);
fprintf('E-field due to a line charge ');
fprintf('at [%5.3f,%5.3f,%5.3f]:\n', xo,yo,zo);
fprintf('[Ex,Ey,Ez] = [%10.4e,%5.2f,%5.2f] V/m\n',...
    Ex,Ey,Ez);
