% Example_7_7.m: Plot magnitude and phase of
% H(jw)= 1000/(s+1000) for w=[1e-1,1e6].
% First, create a logarithmic point set for the frequency
% range from 1 to 1e6 rad/sec with ten points in each
% decade.
for k=1:60
    w(k)=10^(k/10);
end
% Compute the magnitude for H(jw)
H_mag = abs( 1000 ./ (j*w + 1000) );
% Compute the phase for H(jw), and convert to degrees
H_phase = (180/pi) * angle( 1000 ./ (j*w + 1000) );
% Plot magnitude on log-log axes
subplot(2,1,1);
loglog(w,H_mag);
axis([10^0 10^6 10^-3 2*10^0]);
ylabel('mag H(jw)');
title('Bode Plot');
% Plot phase on log-linear axes
subplot(2,1,2);
semilogx(w,H_phase);
axis([10^0 10^6 -100 10]);
xlabel('Frequency (rad/sec)');
ylabel('phase H(jw)');
