% Example_8_3.m
% Calculate the DTFT and DFT for a triangular waveform.
% First, define x(t)
triangle_width = 1e-3;
triangle_height = 1;
T = 1e-4;
triangle_slope = triangle_height/(triangle_width/2);
fs = 1/T;
t = 0:T:4e-3;
n = t/T;
N = length(n);
% define discrete triangle waveform x[n]
x = zeros(1,N);
x(1:6) = 0:triangle_slope*T:triangle_height;
x(6:11) = 1:-triangle_slope*T:0;
% define phi for DTFT with arbitrary granularity of 200
% steps
phi=-.5:.005:.5;
% define k for DFT as same length as x[n]
k = 0:N-1;
% initialize DTFT and DFT vars
X_DTFT = zeros(1,length(phi));
X_DFT = zeros(1,length(k));
% calculate DTFT and DFT based on definitions (sum of
% complex exponentials)
for i=1:length(n)
    X_DTFT = X_DTFT + x(i)*exp(-j*2*pi*n(i)*phi);
    X_DFT = X_DFT + x(i)*exp(-j*2*pi*n(i)*k/N);
end
% Calculate 41-point FFT with MATLAB's fft() function
X_FFT = fft(x);
% plot results
subplot(4,1,1);
stem(n,x);
xlabel('n'); ylabel('x[n]');
subplot(4,1,2);
plot(phi,abs(X_DTFT));
xlabel('\phi'); ylabel('X(\phi) (DTFT)');
subplot(4,1,3);
stem(k, abs(X_DFT));
xlabel('k'); ylabel('X[k] (DFT)');
subplot(4,1,4);
% plot FFT horiz axis as proportion of sampling rate
stem(k/(N-1) * fs,abs(X_FFT));
xlabel('f = fs*(k/(N-1)) (Hz)'); ylabel('X[k] (FFT)');
